all: deno_lint deno app docker

deno_lint:
	cd cli && deno lint

deno: ./kollagen

./kollagen:
	cd cli && deno compile --import-map ./import_map.json --allow-read --allow-write --unstable -o ../kollagen main.ts

app:
	npm ci --cache .npm --prefer-offline && npm run build

docker: ./kollagen
	docker build -t kollagen-bot -f tgbot/Dockerfile .